Foreman - Bug #29263

Internal Server Error under user with limited privileges in vmware CR
03/04/2020 04:13 PM - Ondfej Ezr

Status: Closed

Priority: Normal

Assignee: Ondrej Ezr

Category: Compute resources - VMware

Target version:

Difficulty: Fixed in Releases: 2.1.0
Triaged: No Found in Releases:
Bugzilla link: 1804661 Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p

ull/7488
Description

Cloned from https://bugzilla.redhat.com/show_bug.cqi?id=1804661

Description of problem:
After configuring the VMWare Compute resource, we got ISE when accessing the Virtual Machines tab

There was an error listing VMs: 500 Internal Server Error

Version-Release number of selected component (if applicable):
6.7

How reproducible:
100%

Steps to Reproduce:

1. Creating a new Compute Resource with a user with access to only one cluster
2. After saving, trying to access the Virtual Machines tab

3.

Actual results:
500 internal server error

Expected results:
See the VM's

Additional info:

Note. The information on Images and Compute profiles are working as expected binding information from vCenter.

Related issues:
Related to Foreman - Feature #26569: Show hypervisor and hide power status in... Closed

Associated revisions

Revision e1fe2551 - 03/25/2020 08:47 AM - Ondfej Ezr

Fixes #29263 - catch permission error for hypervisor name

History

#1 - 03/04/2020 04:33 PM - The Foreman Bot
- Status changed from New to Ready For Testing
- Pull request https://github.com/theforeman/foreman/pull/7488 added

#2 - 03/08/2020 01:25 PM - Tomer Brisker

- Subject changed from Internal Server Error under user with limited priviledges in vmware CR
https://bugzilla.redhat.com/show_bug.cgi?id=1804661

to Internal Server Error under user with limited priviledges in vmware CR

- Assignee changed from Chris Roberts to Ondrej Ezr

#3 - 03/08/2020 02:29 PM - Tomer Brisker
- Related to Feature #26569: Show hypervisor and hide power status in VMware VMs listing added

#4 - 03/25/2020 08:48 AM - The Foreman Bot
- Fixed in Releases 2.1.0 added

#5 - 03/25/2020 09:01 AM - Ondfej Ezr
- Status changed from Ready For Testing to Closed

Applied in changeset e1fe255149e3d158ba47b9797b68f8ba0862691.

#6 - 08/19/2020 05:41 PM - Ewoud Kohl van Wijngaarden

- Subject changed from Internal Server Error under user with limited priviledges in vmware CR to Internal Server Error under user with limited
privileges in vmware CR

05/12/2024 22


https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/e1fe255149e3d158ba47b9797b68ff8ba0862691
http://www.tcpdf.org

